[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# ClassGroupOf

Returns the class group to which an instance or class belongs

## Declaration

Source position: line 0

`function ClassGroupOf(`
`AClass: TPersistentClass`
`):TPersistentClass; function ClassGroupOf(`
`Instance: TPersistent`
`):TPersistentClass;`

## Description

ClassGroupOf returns the class group to which AClass or Instance belongs.

## Errors

The result is Nil if no matching class group is found.

## See also

StartClassGroup |  | Start new class group.
ActivateClassGroup |  | Activates a class group
GroupDescendentsWith |  | Add class to the group of another class.

Documentation generated on: Feb 26 2014